On 12/03/2014 02:45 PM, Sean Dague wrote:
> So this -
> https://github.com/openstack/oslo.messaging/commit/bcb3b23b8f6e7d01e38fdc031982558711bb7586
> was clearly a violation of our 1 cycle for deprecation of config options.
> 
> I think that should be reverted, an oops release put out to fix it, and
> then deprecate for 1.6.

+1.  That was definitely a no-no.

> 
> If oslo libraries are going to include config options, they have to
> follow the same config deprecation as that's a contract that projects
> project up. Otherwise we need to rethink the ability for libraries to
> use oslo config (which, honestly is worth rethinking).

I don't see how that would help with this sort of thing.  Instead of one
project mistakenly removing an undeprecated opt, you would have dozens
potentially making the same error, which would also then make their
available configuration options inconsistent with all of the other
projects using oslo.messaging.  That way lies madness.


_______________________________________________
OpenStack-dev mailing list
OpenStack-dev@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to